/**
 * To kolejna biblioteka.
 * Nie definiuje niczego poza główną funkcją i
 * korzysta z bibliotek person_lib/person_library.
 */

import 'person_lib/person_library.dart';

main() {
  // możemy uzyskać dostęp do klasy Programmer, ponieważ jest ona częścią biblioteki person_library
  Programmer programmer = Programmer(firstName: "Dean", lastName: "Pugh");

  // ponownie, nie możemy uzyskać dostępu do właściwości _type, ponieważ jest ona prywatna dla biblioteki person
  // programmer._type = PersonType.employee;

  print(programmer);
}
